Updates Credite Note by Supplier Return id and Credit Note id
Sample request:
PUT /supplierreturns/1/creditnotes/1
{
"supplier_credited_on": "2022-11-18",
"supplier_reference": "ref"
}
Path Parameters
Supplier Return id
Credit Note id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Credit Note to be updated
EmptyExample
Response
application/json
Response
Returns updated Credit Note
SupplierReturnsCreditNote
Credit Note model for /supplierreturn/{id}/creditnotes endpoint
Credit Note id
Supplier Return id
Show Child Parameters
Show Child Parameters
Supplier reference
>= 0 characters<= 50 characters
Include tax
Default:false
Rounding Adjustment
Total credit quantity
Total Credit Amount Ex
Total Credit Amount Tax
Total Credit Amount Inc
Total Applied Credit Quantity
Total Applied Credit Amount Ex
Total Applied Credit Amount Inc
Total Applied Credit Tax
List of Credit Note items
Show Child Parameters
Created on
Modified on
Supplier Credited On
Show Child Parameters
Show Child Parameters
Path Parameters
Headers
Body
supplierreturnstatus
Searches Supplier Return Statuses by parameters
Searches Supplier Return Statuses by parameters
Query Parameters
SupplierReturnStatus name.
Order by.
Available field name values: id, name.
Available direction values: asc, desc.
Example: id asc, name desc
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Supplier Return Statuses data
SupplierReturnStatus.PagingResponse
Supplier Return Status Model
Show Child Parameters
Query Parameters
Headers
Gets specific Supplier Return Status by unique id
Gets specific Supplier Return Status by unique id
Path Parameters
Supplier Return Status id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Supplier Return Status
SupplierReturnStatus
Supplier Return Status Model
Supplier Return Status Id.
Supplier Return Status name